Name:           ocaml-fileutils
Version:        0.4.3
Release:        %mkrel 2
Summary:        OCaml library for common file and filename operations
Group:          Development/Other
License:        LGPLv2+
URL:            http://ocaml-fileutils.forge.ocamlcore.org/
Source0:        http://forge.ocamlcore.org/frs/download.php/625/ocaml-fileutils-%{version}.tar.gz
BuildRequires:  ocaml
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-ounit
BuildRequires:  camlp4

%description
This library is intended to provide a basic interface to the most
common file and filename operations.  It provides several different
filename functions: reduce, make_absolute, make_relative...  It also
enables you to manipulate real files: cp, mv, rm, touch...

It is separated into two modules: SysUtil and SysPath.  The first one
manipulates real files, the second one is made for manipulating
abstract filenames.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q

%build
ocaml setup.ml -configure
ocaml setup.ml -build

%check
ocaml setup.ml -test

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs
ocaml setup.ml -install


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README.txt
%dir %{_libdir}/ocaml/fileutils
%{_libdir}/ocaml/fileutils/*.cmi
%{_libdir}/ocaml/fileutils/*.cma
%{_libdir}/ocaml/fileutils/META

%files devel
%defattr(-,root,root)
%doc COPYING.txt AUTHORS.txt CHANGELOG.txt README.txt TODO.txt
%{_libdir}/ocaml/fileutils/*.a
%{_libdir}/ocaml/fileutils/*.cmxa
%{_libdir}/ocaml/fileutils/*.ml
%{_libdir}/ocaml/fileutils/*.mli


%changelog

* Sun Oct 02 2011 shlomif <shlomif> 0.4.3-2.mga2
+ Revision: 151083
- Rebuild for new OCaml - thanks to Malo.

* Sun Sep 25 2011 shlomif <shlomif> 0.4.3-1.mga2
+ Revision: 147756
- Update to new version - thanks to Malo

* Mon Mar 07 2011 saispo <saispo> 0.4.0-1.mga1
+ Revision: 66253
- imported package ocaml-fileutils

